Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.form.builder.services.model.items
Class BorderPanelRepresentation

    java.lang.Object
      org.jbpm.form.builder.services.model.FormItemRepresentation
          org.jbpm.form.builder.services.model.items.BorderPanelRepresentation

All Implemented Interfaces:
  Serializable, Mappable

    public class BorderPanelRepresentation

extends FormItemRepresentation

See Also:
  Serialized Form

Nested Class Summary
`static class` | `BorderPanelRepresentation.Position`

Constructor Summary
`BorderPanelRepresentation()`

Method Summary
`Map<BorderPanelRepresentation.Position,FormItemRepresentation>` | `getItems()`
`FormItemRepresentation` | `putItem(BorderPanelRepresentation.Position key, FormItemRepresentation value)`
`void` | `setItems(Map<BorderPanelRepresentation.Position,FormItemRepresentation> items)`

Methods inherited from class org.jbpm.form.builder.services.model.FormItemRepresentation
`addEffectClass, equals, getDataMap, getEffectClasses, getEventActions, getExternal, getHeight, getInput, getItemValidations, getOutput, getTypeId, getWidth, hashCode, setDataMap, setEffectClasses, setEventActions, setExternal, setHeight, setInput, setItemValidations, setOutput, setWidth`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorderPanelRepresentation

    public BorderPanelRepresentation()

Method Detail

### getItems

    public Map<BorderPanelRepresentation.Position,FormItemRepresentation> getItems()

### setItems

    public void setItems(Map<BorderPanelRepresentation.Position,FormItemRepresentation> items)

### putItem

    public FormItemRepresentation putItem(BorderPanelRepresentation.Position key,
                                          FormItemRepresentation value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.